Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ToolbarSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Toolbar. More...

`#include <xfc/gtk/toolbarsignals.hh>`

Inheritance diagram for Xfc::Gtk::ToolbarSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_orientation_changed (Orientation orientation)
    Called when the orientation of a toolbar is changed.
- virtual void on_style_changed (ToolbarStyle style)
    Called when ever the style of a toolbar is adjusted.
- virtual bool on_popup_context_menu (int x, int y, int button_number)
    Called when the user right-clicks the toolbar or uses the keybinding to display a popup menu.

## Protected Member Functions

Constructors

- ToolbarSignals (Toolbar *toolbar)
    Constructs a new ToolbarSignals object.
- virtual ~ToolbarSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Toolbar.

## Member Function Documentation

virtual void Xfc::Gtk::ToolbarSignals::on_orientation_changed | ( | Orientation | orientation | ) | `[virtual]`

Called when the orientation of a toolbar is changed.

Parameters:

  | orientation | The new Orientation of the toolbar.

virtual bool Xfc::Gtk::ToolbarSignals::on_popup_context_menu | ( | int | x,
|  | int | y,
|  | int | button_number
| ) | `[virtual]`

Called when the user right-clicks the toolbar or uses the keybinding to display a popup menu.

Parameters:

  | x | The x coordinate of the point where the menu should appear.
  | y | The y coordinate of the point where the menu should appear. ,
  | button_number | The mouse button the user pressed, or -1.

Returns:
  true if the signal was handled, false if not.

Application developers should handle this signal if they want to display a context menu on the toolbar. The context-menu should appear at the coordinates given by x and y. The mouse button number is given by the button parameter. If the menu was popped up using the keybaord, button is -1.

virtual void Xfc::Gtk::ToolbarSignals::on_style_changed | ( | ToolbarStyle | style | ) | `[virtual]`

Called when ever the style of a toolbar is adjusted.

Parameters:

  | style | The new ToolbarStyle of toolbar.

For example, this would be a useful signal to connect to if you want to display more items on the toolbar when it is in icon-only mode; each item takes less space on the bar.

The documentation for this class was generated from the following file:

- toolbarsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3